%define upstream_name	 HTTP-BrowserDetect
%define upstream_version 1.47

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Determine the Web browser, version, and platform from an HTTP user agent string
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(FindBin)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The HTTP::BrowserDetect object does a number of tests on an HTTP user agent
string. The results of these tests are available via methods of the object.

This module is based upon the JavaScript browser detection code available at
http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/\015$//' README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json MYMETA.yml README TODO
%{perl_vendorlib}/HTTP
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.470.0-2.mga3
+ Revision: 368257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.470.0-1.mga3
+ Revision: 342195
- update to 1.47

* Tue Jun 05 2012 jquelin <jquelin> 1.440.0-1.mga3
+ Revision: 254998
- update to 1.44

* Tue Mar 06 2012 jquelin <jquelin> 1.420.0-1.mga2
+ Revision: 219974
- update to 1.42

* Wed Jan 25 2012 jquelin <jquelin> 1.410.0-1.mga2
+ Revision: 200886
- update to 1.41

* Fri Jan 06 2012 jquelin <jquelin> 1.400.0-1.mga2
+ Revision: 192598
- update to 1.40

* Thu Dec 08 2011 kharec <kharec> 1.390.0-1.mga2
+ Revision: 179194
- update to 1.39

* Thu Nov 10 2011 kharec <kharec> 1.360.0-1.mga2
+ Revision: 166327
- update to 1.36

* Sat Nov 05 2011 kharec <kharec> 1.350.0-1.mga2
+ Revision: 163570
- update to 1.35

* Thu Nov 03 2011 jquelin <jquelin> 1.340.0-1.mga2
+ Revision: 162219
- update to 1.34

* Thu Oct 13 2011 jquelin <jquelin> 1.320.0-1.mga2
+ Revision: 154317
- update to 1.32

* Mon Sep 26 2011 jquelin <jquelin> 1.300.0-1.mga2
+ Revision: 148091
- update to 1.30

* Fri Sep 02 2011 kharec <kharec> 1.290.0-1.mga2
+ Revision: 137920
- update to 1.29

* Thu Sep 01 2011 jquelin <jquelin> 1.280.0-1.mga2
+ Revision: 137550
- update to 1.28
- update to 1.26

* Wed Jun 15 2011 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 106987
- update to 1.24

* Sun Mar 13 2011 jquelin <jquelin> 1.220.0-1.mga1
+ Revision: 70485
- update to 1.22

* Sun Jan 23 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 33819
- mageia rebuild
- imported package perl-HTTP-BrowserDetect

